<%@ page contentType="text/html; charset=GBK"%>
<%@ page contentType="text/html; charset=GBK"%>
<%@ page import="gbase.init.*,gbase.db.*,java.sql.*,gbase.util.*,gbase.init.*"%>
<%
//参数:网站账号web_account
String web_account=request.getParameter("web_account")==null?"":request.getParameter("web_account");

//参数:打开方式　与html中<a>的target属性相同
String target=request.getParameter("target")==null?"_blank":request.getParameter("target");

WebConfig theWebConfig=new WebConfig();
WebInfo webInfo=theWebConfig.getWebInfo(web_account);

String web_jive_flag="";
if(webInfo!=null)
{
web_jive_flag=webInfo.getWeb_jive_flag();
}
%>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr><td>
<%out.print("&nbsp;&nbsp;");%>
<A href="/" target="<%=target%>"><B>网站首页</B></A>
<%
DBOperation theDBOperation=new DBOperation();
String sql="select id,name,menu_type,content_type from bar_menu where parent_id=0 and web_account='"+web_account+"' order by order_id asc ";
ResultSet rs=theDBOperation.getResultSet(sql);
int i_top=1;
while(rs.next()){
if(i_top!=0)
out.print("&nbsp;|&nbsp;");
else
out.print("&nbsp;&nbsp;");
i_top++;
String top_url="";
if(rs.getString("menu_type").equals("3"))
top_url="/";
else if(rs.getString("content_type").equals("1") || rs.getString("content_type").equals("4")  || rs.getString("content_type").equals("5")  || rs.getString("content_type").equals("6"))
top_url="/bar"+rs.getString("id")+"/";
else
top_url="/bar"+rs.getString("id")+"_1/";
%>
<A href="<%=top_url%>" target="<%=target%>"><B><%=rs.getString("name")%></B></A><%}
if(web_jive_flag.equals("1"))
{
out.print("&nbsp;|&nbsp;");
%>
<A href="/jive" target="<%=target%>"><B>BBS论坛</B></A>
<%
}
%>
</td></tr></table>
